## gnubg 1.07.001

=== debian/changelog ===
gnubg (1.07.001-3build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:14:37 +0000

gnubg (1.07.001-3build5) noble; urgency=medium

  * No-change rebuild against libcanberra t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 14:46:44 +0100

gnubg (1.07.001-3build4) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:24:43 +0000

gnubg (1.07.001-3build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:45:53 +0000

gnubg (1.07.001-3build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:45:35 +0000

gnubg (1.07.001-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:36:46 +0000

gnubg (1.07.001-3) unstable; urgency=medium

  * Built with GTK 3.  This is considered experimental and known to be
    buggy by upstream, but since Debian is trying to remove GTK 2 from the
    archive, there aren't a lot of other options.  Hopefully the bugginess
    will not be too noticeable.  Thanks to Bastian Germann for analysis
    and testing.  (Closes: #967443, #1036381)

 -- Russ Allbery <rra@debian.org>  Fri, 20 Oct 2023 15:12:28 -0700

gnubg (1.07.001-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + gnubg: Drop versioned constraint on gnubg-data in Replaces.

  [ Russ Allbery ]
  * Change libfreetype6-dev build dependency to libfreetype-dev.
  * Update standards version to 4.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 05 Aug 2023 09:38:39 -0700

gnubg (1.07.001-1) unstable; urgency=medium

  * Update to new upstream version 1.07.001.
    - Include a new "score map" that simultaneously shows chequer play or
      cube analysis at multiple scores.
    - 3D graphics have been largely rewritten.
    - Expand the amount of user interface text that is translatable and
      use UTF-8 encoding uniformly.  Include a Finnish translation.
  * Disable the 3D board for now, since it's currently unusable with Mesa
    21.x and later (and was in the previous package as well).  It either
    segfaults or simply doesn't respond to mouse clicks.  This appears to
    be a problem in the picking code in gnubg rather than a bug in Mesa,
    and is fixed in the GTK 3 code, but that code is not yet ready for
    general use.
  * Stop overriding BUILD_DATE in the Debian build rules, since upstream
    added support for SOURCE_DATE_EPOCH.
  * Add upstream signature verification to debian/watch.
  * Add debian/upstream/metadata file.
  * Stop installing icons in /usr/share/pixmaps.  These were for the
    Debian menu system, support for which was removed in 1.06.001-1.
  * Disable import-orig merging in debian/gbp.conf, consistent with the
    recommendations in dgit-maint-debrebase(7).
  * Update standards version to 4.6.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 20 Nov 2022 13:06:39 -0800
