=== debian/control ===
Source: gnubg
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
Build-Depends:
 autoconf-archive,
 bison,
 debhelper-compat (= 13),
 flex,
 graphicsmagick,
 libcairo2-dev,
 libcanberra-gtk3-dev,
 libcurl4-openssl-dev,
 libfreetype-dev,
 libglib2.0-dev,
 libgmp-dev,
 libgtk-3-dev,
 libncurses-dev,
 libpng-dev,
 libreadline-dev,
 libsqlite3-dev,
 lsb-release,
 python3-dev,
Build-Depends-Indep:
 dblatex,
 docbook-xsl,
 docbook2x,
 texinfo,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.gnu.org/software/gnubg/
Vcs-Git: https://salsa.debian.org/rra/gnubg.git
Vcs-Browser: https://salsa.debian.org/rra/gnubg

Package: gnubg
Architecture: any
Depends:
 gnubg-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 sensible-utils,
Description: graphical or console backgammon program with analysis
 GNU Backgammon is a strong backgammon program (world-class with a bearoff
 database installed) usable either as an engine by other programs or as a
 standalone backgammon game.  In addition to supporting simple play, it
 also has extensive analysis features, a tutor mode, adjustable
 difficulty, and support for exporting annotated games.  It can be played
 either from a GTK+ graphical interface, optionally with a 3D board, or
 from a simple text console.

Package: gnubg-data
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-dejavu-core,
 ${misc:Depends},
Recommends:
 gnubg (>= ${source:Version}),
Description: data files for GNU Backgammon
 GNU Backgammon is a strong backgammon program (world-class with a bearoff
 database installed) usable either as an engine by other programs or as a
 standalone backgammon game.
 .
 This package contains the data files needed by GNU Backgammon (textures,
 sounds, locale information, neural network weights, and so forth).
