## gnubg 1.08.003

=== debian/changelog ===
gnubg (1.08.003-3) unstable; urgency=medium

  * QA upload.
  * Sync VCS tags, this game was moved under games-team/ hierarchy on Salsa.
  * Add "Games Teams" as uploader to hint (prospective) team members
    via the Tracker that this game is up for adoption or might have bugs.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Alexandre Detiste <tchet@debian.org>  Sat, 05 Apr 2025 13:25:19 +0200

gnubg (1.08.003-2) unstable; urgency=medium

  * QA upload.
  * Replace gtkglext with the actually needed glu1.

 -- Bastian Germann <bage@debian.org>  Tue, 03 Dec 2024 19:02:40 +0100

gnubg (1.08.003-1) unstable; urgency=medium

  * Orphan the package.
  * Update to new upstream version 1.08.003.
    - Add new background analysis feature.
    - Score map is now configurable in settings.
    - Allow defining a list of players that automatically sit at the
      bottom of the board in opened matches.
    - Replace the Merseene Twister implementation.
    - Add cubeless MET.
    - Show how the player's error rate has evolved over time.
    - Improve cube decisions for 0- and 1-ply evaluations.
  * Re-enable the 3D board now that it works with the current Mesa, and
    add the additional build dependencies it requires.
  * Move the package to the debian namespace on Salsa.
  * Update standards version to 4.7.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 08 Sep 2024 13:39:45 -0700
