=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: gnubg
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders:
+ Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  autoconf-archive,
  bison,
- debhelper-compat (= 13),
  flex,
  graphicsmagick,
  libcairo2-dev,
  libcanberra-gtk3-dev,
  libcurl4-openssl-dev,
+ libepoxy-dev,
  libfreetype-dev,
  libglib2.0-dev,
+ libglu1-mesa-dev,
  libgmp-dev,
  libgtk-3-dev,
  libncurses-dev,
@@ -29,10 +32,11 @@
  texinfo,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.gnu.org/software/gnubg/
-Vcs-Git: https://salsa.debian.org/rra/gnubg.git
-Vcs-Browser: https://salsa.debian.org/rra/gnubg
+Vcs-Git: https://salsa.debian.org/games-team/gnubg.git
+Vcs-Browser: https://salsa.debian.org/games-team/gnubg
+X-Style: black
 
 Package: gnubg
 Architecture: any
