=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,18 @@
 
 # Replace upstream-supplied GCC probes with the latest versions from the
 # autoconf-archive package, since otherwise i386 CPU detection fails on the
-# buildds and the package can't be built.  Replace ax_python_devel.m4 for
-# compatibility with Python 3.10.  Replace upstream glib-gettext.m4 for
+# buildds and the package can't be built. Replace ax_python_devel.m4 for
+# compatibility with Python 3.10. Replace upstream glib-gettext.m4 for
 # compatibility with newer glib.
+#
+# Ideally, everything from the Autoconf Archive should always be replaced
+# during the build.
 REPLACE_M4 = ax_ext.m4 ax_gcc_x86_avx_xgetbv.m4 ax_gcc_x86_cpuid.m4 \
 	ax_python_devel.m4 glib-gettext.m4
 
-# Only build with SSE on amd64.  We can't assume that processor for i386,
-# and it fails to build on ia64 since GCC there doesn't support -msse or
-# -msse2 (as of 2010-01-17).
+# Only build with SSE on amd64. We can't assume that processor for i386, and
+# it fails to build on ia64 since GCC there doesn't support -msse or -msse2
+# (as of 2010-01-17).
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 ifeq ($(DEB_HOST_ARCH_CPU),amd64)
     SSE = --enable-simd=sse2
@@ -41,10 +44,8 @@
 	done
 	dh_autoreconf
 
-# Disable the 3D board for now, since it doesn't work with Mesa 21.x and
-# later.
 override_dh_auto_configure:
-	dh_auto_configure -- --with-gtk3 --without-board3d --with-sqlite \
+	dh_auto_configure -- --with-gtk3 --with-board3d --with-sqlite \
 	    --with-python=/usr/bin/python3 --enable-threads $(SSE)
 
 # Disable building the rollout databases during an architecture-specific
